- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinFactorizationDoubleArrayWithLength Class Reference

CoinFactorizationDouble * version. More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinFactorizationDoubleArrayWithLength:

[legend]
Collaboration diagram for CoinFactorizationDoubleArrayWithLength:

[legend]
List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
CoinFactorizationDouble * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
CoinFactorizationDouble * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinFactorizationDoubleArrayWithLength ()
| Default constructor - NULL.
| CoinFactorizationDoubleArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinFactorizationDoubleArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinFactorizationDoubleArrayWithLength (const CoinFactorizationDoubleArrayWithLength &rhs)
| Copy constructor.
| CoinFactorizationDoubleArrayWithLength (const CoinFactorizationDoubleArrayWithLength *rhs)
| Copy constructor.2.
CoinFactorizationDoubleArrayWithLength & | operator= (const CoinFactorizationDoubleArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

CoinFactorizationDouble * version.

Definition at line 611 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 641 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 644 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, CoinSizeofAsInt, and CoinArrayWithLength::size_.

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 650 of file CoinIndexedVector.hpp.

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( | const CoinFactorizationDoubleArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 653 of file CoinIndexedVector.hpp.

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( | const CoinFactorizationDoubleArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 656 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinFactorizationDoubleArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 617 of file CoinIndexedVector.hpp.

References CoinSizeofAsInt, and CoinArrayWithLength::size_.

CoinFactorizationDouble* CoinFactorizationDoubleArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 620 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

Referenced by CoinFactorization::elementByRowL(), and CoinFactorization::pivotRegion().

void CoinFactorizationDoubleArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 627 of file CoinIndexedVector.hpp.

References CoinSizeofAsInt, and CoinArrayWithLength::size_.

CoinFactorizationDouble* CoinFactorizationDoubleArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 634 of file CoinIndexedVector.hpp.

References CoinSizeofAsInt, and CoinArrayWithLength::conditionalNew().

CoinFactorizationDoubleArrayWithLength& CoinFactorizationDoubleArrayWithLength::operator= | ( | const CoinFactorizationDoubleArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Definition at line 659 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/CoinUtils/src/CoinIndexedVector.hpp